function [] = display_results(ndisp, nres)
%% Funkce sloužící k zobrazení informací o výsledcích simulace
% Zobrazuje informace o výsledcích simulace modelu LTE. Nastavení
% podrobnisti, či konkrétnícho zobrazení určitých informací se řídí
% nastavením v souboru, který funkce přijimá jako vstupní proměnou.

% Provede načtení informací o tom, jaké výstupy se mají zobrazovat
load(ndisp);
% Provede načtení výsledků
load(nres);

%% Informace týkající se chyb
% Zobrazení výsledků kontroly CRC vstupních dat, chybového poměru a počtu chyb
if(dis.ERR),
    % Počáteční hlavička
    % slouží k uvedení a oddělení zobrazení výsledků od celku
    display(sprintf('******************************************\n***** Vyhodnocení procesu modelu LTE *****\n******************************************'));
    
    % Zobrazení vyhodnocení CRC u bloků, které byly segmentovány
    if(dis.errBlokCRC),
        if(length(res.c_l) == 1),
            display('Data nebyly segmentovány.');
        else
            e = 0;
            for i = 1:length(res.b_err),
                if(res.b_err(i) == 1),
                    display(sprintf('Kontrola CRC v bloku %d neproběhla v pořádku.',i));
                    e = 1;
                end
            end
            if( e == 0)
                display('Kontrola CRC u všech bloků proběhla v pořádku.');
            end
        end
    end
    
    % Zobrazení výsledků kontroly CRC
    if(dis.errCRC),
        if(res.a_errCRC == 1),
            display('Kontrola CRC neproběhla v pořádku. Data obsahují chyby.');
        elseif(res.a_errCRC == 0),
            display('Kontrola CRC proběhla v pořádku. Data neobsahují chyby.');
        end
    end

    % Zobrazení chybového poměru
    if(dis.err),
        display(sprintf('Chybový poměr: %1.0e', res.a_err));
    end

    % Zobrazení počtu chyb
    if(dis.nErr),
        display(sprintf('Počet chyb: %d', res.a_nErr));
    end
end